%define pkg_name        Hatena-Keyword
%define pkg_version     0.04
%define rpm_pkg_version 0.04
%define rpm_pkg_release 1.n0i.1

Summary:       Hatena::Keyword - Extract Hatena Keywords in a string
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/N/NA/NAOYA/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(Class::Data::Inheritable)
BuildRequires: perl(Class::ErrorHandler)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Jcode)
BuildRequires: perl(RPC::XML)
BuildRequires: perl(Storable)
BuildRequires: perl(URI)


%description
This module allows you to extract Hatena keywords used in an arbitrary text
and also allows you to mark up a text as HTML with the keywords.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
# japanese tests will fail (locale dependent?)
%{!?_without_test:%{__make} test ||:}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Fri Jun 15 2007 Marius Feraru <altblue@n0i.net> - 0.04-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 0.04
